package com.xy.service.factory;

import cn.hutool.json.JSONObject;
import com.xy.dto.ActivityInfoDto;
import com.xy.dto.MqttDto;
import com.xy.dto.PaterDto;
import com.xy.service.ActivityInfoService;
import com.xy.utils.LambdaUtils;
import com.xy.utils.R;
import com.xy.utils.enums.TaskEnum;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设置指令 接口实现
 */
@Service
@AllArgsConstructor
public class SetsCmdServiceImpl implements CmdService {

    private ActivityInfoService activityInfoService;

    @Override
    public R senCommand(List<MqttDto> mqttDtos) {
        for (MqttDto mqttDto : mqttDtos) {
            JSONObject data = mqttDto.getPater().getData();
            String type = data.getStr(LambdaUtils.getProperty(TaskEnum::getType));
            //终止活动
            if (type.equals(TaskEnum.ABORT.getType())) {
                activityInfoService.abort(new ActivityInfoDto.Abort().setDeviceId(mqttDto.getDeviceId()));
            }
        }
        return R.ok();
    }

    @Override
    public R resultBack(MqttDto.ResultBack resultBack) {
        return null;
    }
}
