package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 任务指令枚举
 */
@Getter
@AllArgsConstructor
public enum TaskEnum {

    ABORT("abort", "活动终止指令"),


    ;

    /**
     * 任务类型
     */
    private String type;

    /**
     * 说明
     */
    private String msg;

    public static TaskEnum getTaskEnum(String type) {
        TaskEnum[] values = TaskEnum.values();
        for (TaskEnum qualityEnum : values) {
            if (qualityEnum.type.equals(type)) {
                return qualityEnum;
            }
        }
        return null;
    }
}
