package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author lijin
 * @since 2023-02-17
 */
public class MqttUserDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("唯一标识")
        private Integer id;

        @ApiModelProperty("sn号")
        private String sn;

        @ApiModelProperty("设备id")
        private Long deviceId;

        @ApiModelProperty("账号")
        private String username;

        @ApiModelProperty("密码")
        private String passwordHash;

        private String salt;

        private Boolean isSuperuser;

        @ApiModelProperty("订阅topic")
        private String topic;

        @ApiModelProperty("连接地址")
        private String ipAddress;

        private Long serverTime;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime created;

    }
}
