package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceInfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 设备-信息 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@RestMappingController("device-info")
public interface DeviceInfoService {

    /**
     * 查询对象
     *
     * @param obj
     * @return
     */
    @PostMapping("obj")
    R<DeviceInfoDto.Vo> obj(@RequestBody DeviceInfoDto.Obj obj);

    /**
     * 设备访问历史添加
     *
     * @param obj
     * @return
     */
    @PostMapping("history")
    R history(@RequestBody DeviceInfoDto.Obj obj);

    /**
     * 开门检测
     *
     * @param obj
     * @return
     */
    @PostMapping("checkOpenDoor")
    R checkOpenDoor(@RequestBody DeviceInfoDto.Obj obj);


    /**
     * 商户设备授权
     *
     * @param auth
     * @return {@link R}<{@link Boolean}>
     */
    @PostMapping("mercDeviceAuth")
    R<Boolean> mercDeviceAuth(@RequestBody @Validated DeviceInfoDto.MercDeviceAuthDto auth);


    /**
     * 集合查询
     *
     * @param dto
     * @return
     */
    @PostMapping("list")
    R<List<DeviceInfoDto.Vo>> list(DeviceInfoDto.ListDto dto);

    /**
     * 通用列表查询
     *
     * @param dto
     * @return
     */
    @PostMapping("listCommon")
    R<List<DeviceInfoDto.Vo>> listCommon(DeviceInfoDto.ListCommon dto);

    /**
     * 更新商户线路
     *
     * @param updateLine
     * @return
     */
    @PostMapping("updateLine")
    R updateLine(@RequestBody @Validated DeviceInfoDto.UpdateLine updateLine);

    /**
     * 更新商户点位
     *
     * @param updatePlace
     * @return
     */
    @PostMapping("updatePlace")
    R updatePlace(@RequestBody @Validated DeviceInfoDto.UpdatePlace updatePlace);


    /**
     *商户设备算法列表
     * @param dto
     * @return
     */
    @PostMapping("mercAlgorithmIdList")
    R<List<Long>> mercAlgorithmIdList(@RequestBody DeviceInfoDto.MercAlgorithmIdListDto dto);
}